Create a new Group
Authorization
appToken writeApp access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: write
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/groups" \ -H "Content-Type: application/json" \ -d '{}'{ "groupId": "string", "name": "string", "formula": "string", "levels": [ { "levelId": "string", "groupId": "string", "level": 0, "formulaValue": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "tiers": [ { "tierId": "string", "groupId": "string", "name": "string", "ratio": "string", "users": 0, "volume": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "dealLevelCommission": false, "selfRebate": false, "selfRebateRatio": "100", "registration": "auto", "restrictionId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string", "verification": true, "approvalPolicy": { "mode": "nobody", "countries": [ "string" ] }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "error": { "message": "This App is read-only and cannot perform this operation.", "code": "insufficient_scope" }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}